Paycose Docs
Payment Intent
PATCH/payment_intents/{id}

Update

Auto-added to mirror backend route PATCH /payment_intents/:id. Headers cloned from a sibling; body/params are placeholders.

Request

Example

curl -X PATCH 'https://api.paycose.com/api/v1/app1/platform/wallet/payment_intents/{{id}}' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -d '{
  "amount": 0,
  "currency": "<string>",
  "payment_method_id": "<string>",
  "customer_id": "<string>",
  "description": "<string>",
  "receipt_email": "<string>",
  "capture_method": "<string>",
  "metadata": {},
  "application_fee_amount": 0,
  "transfer_data": {
    "destination": "<string>",
    "amount": 0
  },
  "transfer_group": "<string>",
  "labels": [
    "<string>"
  ]
}'

Headers

NameValue
X-Session-Token{{session_token}}
X-Country{{country}}

Body

NameTypeValue
amountnumber0
currencystring<string>
payment_method_idstring<string>
customer_idstring<string>
descriptionstring<string>
receipt_emailstring<string>
capture_methodstring<string>
metadataobject{…}
application_fee_amountnumber0
transfer_dataobject{…}
transfer_groupstring<string>
labelsarray[1]
{
  "amount": 0,
  "currency": "<string>",
  "payment_method_id": "<string>",
  "customer_id": "<string>",
  "description": "<string>",
  "receipt_email": "<string>",
  "capture_method": "<string>",
  "metadata": {},
  "application_fee_amount": 0,
  "transfer_data": {
    "destination": "<string>",
    "amount": 0
  },
  "transfer_group": "<string>",
  "labels": [
    "<string>"
  ]
}

Responses

500500 Internal Server Error

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page